"""Add ringo_target module

Revision ID: 27ddca9e6091
Revises: 231b6edcdd2e
Create Date: 2016-05-17 12:20:47.682116

"""

# revision identifiers, used by Alembic.
revision = '27ddca9e6091'
down_revision = '231b6edcdd2e'

from alembic import op
import sqlalchemy as sa


INSERTS = """
INSERT INTO modules VALUES ('dc93b844b408415b95cc3ec8e0ea0205', 2008, 'target', 'ringo_target.model.Target', 'Zielvorgabe', 'Zielvorgaben', '', '%s|year', 'hidden', NULL);
INSERT INTO actions VALUES ('9deb069d76db4ec9a70c70d18337ffd5', 191, 2008, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'hide', '');
INSERT INTO actions VALUES ('26bc9891b2be424c80d3256dba912f73', 192, 2008, 'Create', 'create', ' icon-plus', '', false, 'primary,hide-context', '');
INSERT INTO actions VALUES ('5fab97ace0da4da4be0e72991206fd47', 193, 2008, 'List', 'list', 'icon-list-alt', '', false, 'hide', '');
INSERT INTO actions VALUES ('64741607d95149568ab1271d0cabf1a2', 194, 2008, 'Update', 'update/{id}', 'icon-edit', '', false, 'hide', '');
INSERT INTO actions VALUES ('2af07946fe0e437f824720c513e4c625', 195, 2008, 'Delete', 'delete/{id}', 'icon-trash', '', true, 'hide', '');
INSERT INTO nm_action_roles VALUES (191, 4);
INSERT INTO nm_action_roles VALUES (193, 4);
INSERT INTO nm_action_roles VALUES (194, 4);
INSERT INTO nm_action_roles VALUES (191, 1);
INSERT INTO nm_action_roles VALUES (193, 1);
INSERT INTO nm_action_roles VALUES (194, 1);
"""
DELETES = """
DELETE FROM nm_action_roles WHERE aid = 191;
DELETE FROM nm_action_roles WHERE aid = 192;
DELETE FROM nm_action_roles WHERE aid = 193;
DELETE FROM nm_action_roles WHERE aid = 194;
DELETE FROM actions WHERE id = 191;
DELETE FROM actions WHERE id = 192;
DELETE FROM actions WHERE id = 193;
DELETE FROM actions WHERE id = 194;
DELETE FROM actions WHERE id = 195;
DELETE FROM modules WHERE id = 2008;
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('targets',
    sa.Column('uuid', sa.CHAR(length=32), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('year', sa.Integer(), nullable=True),
    sa.Column('target', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('targets')
    ### end Alembic commands ###
    iter_statements(DELETES)
