"""Archive function

Revision ID: 56bab4ca0d12
Revises: 63cb30b2f4f8
Create Date: 2017-02-10 11:46:16.339322

"""

# revision identifiers, used by Alembic.
revision = '56bab4ca0d12'
down_revision = '63cb30b2f4f8'

from alembic import op
import sqlalchemy as sa


INSERTS = """UPDATE participations SET participation_state_id = 1;"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('participations', sa.Column('participation_state_id', sa.Integer(), nullable=True))
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('participations', 'participation_state_id')
    ### end Alembic commands ###
    iter_statements(DELETES)
